---
- name: Set permissions on socket - owner
  lineinfile: "dest=/etc/php/{{ php.version }}/fpm/pool.d/www.conf state=present regexp='^;?listen.owner' line='listen.owner = www-data'"

- name: Set permissions on socket - group
  lineinfile: "dest=/etc/php/{{ php.version }}/fpm/pool.d/www.conf state=present regexp='^;?listen.group' line='listen.group = www-data'"

- name: Set permissions on socket - mode
  lineinfile: "dest=/etc/php/{{ php.version }}/fpm/pool.d/www.conf state=present regexp='^;?listen.mode' line='listen.mode = 0660'"
  notify: restart php-fpm

- name: ensure timezone is set in fpm php.ini
  lineinfile: dest=/etc/php/{{ php.version }}/fpm/php.ini
              regexp='date.timezone ='
              line='date.timezone = {{ server.timezone }}'
- name: enabling opcache
  lineinfile: dest=/etc/php/{{ php.version }}/fpm/php.ini
              regexp=';?opcache.enable=\d'
              line='opcache.enable=1'
